from flask import request, jsonify
from flask_restx import Resource, Namespace, reqparse
from flask_jwt import JWT
from app.defines import StatesCode

from app.services.redis_service import save_oauth_token_uid

ns = Namespace('login', description='登入')


@ns.route('')
class LoginApi(Resource):
    @ns.doc(id='login', description='登入')
    @ns.expect()
    def post(self):
        """登入"""
        username = request.form.get('username')
        password = request.form.get('password')
        # 验证用户密码
        if obj is None:
            return jsonify(code=-1, message='登入失败', data='用户不存在')
        if obj.verify_password(password):
            token = generate_token(username)
            save_oauth_token_uid(token, obj.id)
            return jsonify(code=StatesCode.SUCCESS, message="登录成功", date=token)
        else:
            return jsonify(code=StatesCode.UNKNOWN_ERROR, message="登入失败", data='密码错误')
