import redis

from app.configs.config import REDIS_HOST, REDIS_PORT, REDIS_DB

# Redis使用连接池
redis_pool = redis.ConnectionPool(host=REDIS_HOST, port=REDIS_PORT, db=REDIS_DB)
r = redis.Redis(connection_pool=redis_pool)

# Redis的键，方便统一管理
# rk前缀表示redis_key
rk_oauth_get_uid_from_token = 'access_token:{token}'


def save_oauth_token_uid(access_token, user_id, expired=3600):
    # if not expired:
    # expired = int(current_app.config.get('OAUTH2_PROVIDER_TOKEN_EXPIRES_IN', 3600))
    k = rk_oauth_get_uid_from_token.format(token=access_token)
    r.set(k, user_id, ex=expired)


def del_oauth_token_uid(access_token):
    k = rk_oauth_get_uid_from_token.format(token=access_token)
    r.delete(k)


def get_uid_from_token(access_token):
    k = rk_oauth_get_uid_from_token.format(token=access_token)
    return int(r.get(k))
